cURL
curl --request GET \
--url https://api.staging.qyl.dev/api/v1/configurator/selectionsimport requests
url = "https://api.staging.qyl.dev/api/v1/configurator/selections"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.staging.qyl.dev/api/v1/configurator/selections', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "<string>",
"workspace_id": "<string>",
"profile_id": "<string>",
"selection_type": "<string>",
"selection_key": "<string>",
"enabled": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"config_json": "<string>"
}
]{
"type": "about:blank",
"title": "Internal Server Error",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"error_code": "<string>"
}Configurator
Get selections
Get generation selections for a workspace
GET
/
api
/
v1
/
configurator
/
selections
cURL
Query Parameters
Workspace ID
Response
The request has succeeded.
Selection ID
Workspace
Profile
Selection type (semconv_group, feature, custom_attribute)
Selection key (e.g. http, db, genai)
Whether enabled
Creation timestamp
Last update timestamp
Selection-specific configuration
Was this page helpful?
⌘I
